Subject: Re: [PATCH 6/8] CMDLINE: x86: convert to generic builtin command line

From: "Daniel Walker (danielwa)" <[email-masked]>
Date: Thu, 2 Oct 2025 21:31:23 +0000

On Thu, Oct 02, 2025 at 02:10:13PM -0700, Dave Hansen wrote:
> On 10/2/25 14:00, Daniel Walker (danielwa) wrote:
> >> The way I'd suggest going about getting this merged is to solicit
> >> reviews and testing from folks and then get those annotations into the
> >> patches. As it stands, this series has zero tags in addition to the SoB
> >> tags which I assume were its authors.
> > How does one go about soliciting reviews from your perspective ? Typically I
> > just submit it in this fashion and whoever is interested reviews it.
> 
> First, figure out who should ideally review it. Find the maintainers,
> find who's been sending patches and reviewing in the area lately. Use
> get_maintainer.pl.
> 
> Then, ask nicely. :)
> 
> 	"Hey x86 maintainers, I've got this series with a pretty nice 	
> 	diffstat in arch/x86. Any chance you could take a look and give
> 	an ack if you like what you see?"
> 
> You can do that in private mails, or in a separate thread, or in a reply
> to the original series. Or, go hunt folks down on IRC.
> 
> Just tossing the series over the wall and giving it thoughts and prayers
> usually isn't the most effective route.

I've always figured people wouldn't appreciate private emails. I guess I can try
it tho.

> BTW, your series looks like a *really* good idea. Please don't let it
> die. But you might want to trim it down a bit. I'd probably remove the
> tests and the 'insert-sys-cert' changes to make it more approachable to
> folks.

Since x86 is asking for it I think it would trim it down to just what is needed
for x86. If I don't trim down the architectures it ropes in too many people
anyway.

The biggest issue is that libstub would need to be modified, but I've never had any
luck getting the libstub maintainer to review anything. I suspect he would
ignore private email too, particularly from people he's doesn't know.

I'll try re-submitting it in the manner your suggesting.

Daniel